package config

var defaultGRPCConfig = &GRPCConfig{
	Enabled: false,
	Listen:  "127.0.0.1:8081",

	LogRequests:           false,
	EnableReflection:      true,
	EnableInstrumentation: true,
}

type GRPCConfig struct {
	Enabled               bool   `yaml:"enabled" env:"APP_GRPC_ENABLED" json:"enabled,omitempty"`
	Listen                string `yaml:"listen" env:"APP_GRPC_LISTEN" json:"listen,omitempty"`
	LogRequests           bool   `yaml:"logRequests" env:"APP_GRPC_LOG_REQUESTS" json:"logRequests,omitempty"`
	EnableReflection      bool   `yaml:"enableReflection" env:"APP_GRPC_ENABLE_REFLECTION" json:"enableReflection,omitempty"`
	EnableInstrumentation bool   `yaml:"enableInstrumentation" env:"APP_GRPC_ENABLE_INSTRUMENTATION" json:"enableInstrumentation,omitempty"` // requires OTEL
}
