package config

import "time"

var defaultHTTPConfig = &HTTPConfig{
	Enabled: true,
	Listen:  "127.0.0.1:8080",

	LogRequests:  false,
	ReadTimeout:  "10s",
	WriteTimeout: "10s",
	IdleTimeout:  "1m",
}

// HTTP Configuration
type HTTPConfig struct {
	Enabled      bool   `yaml:"enabled" env:"APP_HTTP_ENABLED" json:"enabled,omitempty"`
	Listen       string `yaml:"listen,omitempty" env:"APP_HTTP_LISTEN" json:"listen,omitempty"`
	LogRequests  bool   `yaml:"logRequests" env:"APP_HTTP_LOG_REQUESTS" json:"logRequests,omitempty"`
	ReadTimeout  string `yaml:"readTimeout" env:"APP_HTTP_READ_TIMEOUT" json:"readTimeout,omitempty"`    // Go duration (e.g. 10s)
	WriteTimeout string `yaml:"writeTimeout" env:"APP_HTTP_WRITE_TIMEOUT" json:"writeTimeout,omitempty"` // Go duration (e.g. 10s)
	IdleTimeout  string `yaml:"idleTimeout" env:"APP_HTTP_IDLE_TIMEOUT" json:"idleTimeout,omitempty"`    // Go duration (e.g. 10s)
	rT           *time.Duration
	wT           *time.Duration
	iT           *time.Duration
}
